# Enum WebdavServlet.PropertyUpdateType

java.lang.Object
java.lang.Enum<WebdavServlet.PropertyUpdateType>
org.apache.catalina.servlets.WebdavServlet.PropertyUpdateType

All Implemented Interfaces:
  `Serializable, Comparable<WebdavServlet.PropertyUpdateType>, java.lang.constant.Constable`

Enclosing class:
  `WebdavServlet`

public static enum WebdavServlet.PropertyUpdateType extends Enum<WebdavServlet.PropertyUpdateType>
Type of property update in a PROPPATCH.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`REMOVE`
Remove a property.
`SET`
Set a property.

## Method Summary

Modifier and Type
Method
Description
`static WebdavServlet.PropertyUpdateType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static WebdavServlet.PropertyUpdateType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SET

public static final WebdavServlet.PropertyUpdateType SET
Set a property.

### REMOVE

public static final WebdavServlet.PropertyUpdateType REMOVE
Remove a property.

## Method Details

### values

public static WebdavServlet.PropertyUpdateType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static WebdavServlet.PropertyUpdateType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null